#include <luna.h>
#include <stdlib.h>
#include <sys/syscall.h>
#include <unistd.h>

#define noreturn __attribute__((noreturn))

#define maybe_unused __attribute__((maybe_unused))
#define unused __attribute__((unused))

extern "C"
{
    noreturn void abort()
    {
        exit(-1);
    }

    noreturn void exit(int status)
    {
        syscall(SYS_exit, status);
        __builtin_unreachable();
    }

    int atexit(void (*)(void))
    {
        NOT_IMPLEMENTED("atexit");
    }
    int atoi(const char*)
    {
        NOT_IMPLEMENTED("atoi");
    }
    char* getenv(const char*)
    {
        NOT_IMPLEMENTED("getenv");
    }
}